if not IsAddOnLoaded("MinimapButtonFrame") then
	return
else

	MBFAddSkin("sDeathKnight", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sDK.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sDKBackdrop.blp", 35);
	MBFAddSkin("sDruid", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sDruid.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sDruidBackdrop.blp", 35);
	MBFAddSkin("sHunter", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sHunter.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sHunterBackdrop.blp", 35);
	MBFAddSkin("sMage", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sMage.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sMageBackdrop.blp", 35);
	MBFAddSkin("sMonk", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sMonk.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sMonkBackdrop.blp", 35);
	MBFAddSkin("sPaladin", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sPaladin.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sPaladinBackdrop.blp", 35);
	MBFAddSkin("sPriest", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sPriest.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sPriestBackdrop.blp", 35);
	MBFAddSkin("sRogue", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sRogue.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sRogueBackdrop.blp", 35);
	MBFAddSkin("sShaman", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sShaman.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sShamanBackdrop.blp", 35);
	MBFAddSkin("sWarlock", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sWarlock.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sWarlockBackdrop.blp", 35);
	MBFAddSkin("sWarrior", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sWarrior.blp", "Interface\\AddOns\\MinimapButtonFrame_sClassButtons\\Textures\\sWarriorBackdrop.blp", 35);

end